com.google.cloud.dataflow.examples.complete.game.utils

## Class WriteWindowedToBigQuery.BuildRowFn

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.DoFn<T,TableRow>
  - - com.google.cloud.dataflow.examples.complete.game.utils.WriteWindowedToBigQuery.BuildRowFn

All Implemented Interfaces:
  HasDisplayData, DoFn.RequiresWindowAccess, Serializable

Enclosing class:
  WriteWindowedToBigQuery<T>

    protected class WriteWindowedToBigQuery.BuildRowFn
    extends DoFn<T,TableRow>
    implements DoFn.RequiresWindowAccess

Convert each key/score pair into a BigQuery TableRow.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`DoFn.Context, DoFn.ProcessContext, DoFn.RequiresWindowAccess`

### Constructor Summary

Constructors
`protected` `BuildRowFn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processElement(DoFn.ProcessContext c)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`createAggregator, createAggregator, finishBundle, getAllowedTimestampSkew, getInputTypeDescriptor, getOutputTypeDescriptor, populateDisplayData, startBundle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuildRowFn

    protected BuildRowFn()

### Method Detail

#### processElement

    public void processElement(DoFn.ProcessContext c)

Specified by:
  `processElement` in class `DoFn<T,TableRow>`